OpenVDB 13.0.0

Loading...
Searching...
No Matches
openvdb::v13_0::points::transfer_internal Namespace Reference

## Classes
struct | RasterizePoints

## Functions
template<typename T, typename F, size_t... Is>
void | foreach (T &&t, const F &func, std::integer_sequence< size_t, Is... >)
template<typename T, typename F, size_t... Is>
void | foreach (void **buffers, const F &func, std::integer_sequence< size_t, Is... >)
template<typename T, template< typename > class R, typename F, size_t... Is>
void | foreach (void **buffers, const F &func, std::integer_sequence< size_t, Is... >)

## Function Documentation

## ◆ foreach() [1/3]

template<typename T, typename F, size_t... Is>

void foreach | ( | T && | t,
|  | const F & | func,
|  | std::integer_sequence< size_t, Is... > | )

## ◆ foreach() [2/3]

template<typename T, template< typename > class R, typename F, size_t... Is>

void foreach | ( | void ** | buffers,
|  | const F & | func,
|  | std::integer_sequence< size_t, Is... > | )

## ◆ foreach() [3/3]

template<typename T, typename F, size_t... Is>

void foreach | ( | void ** | buffers,
|  | const F & | func,
|  | std::integer_sequence< size_t, Is... > | )